objdump(1)

NAME
objdump—display information from object files.

SYNOPSIS

objdump
    [-a] [-b bfdname ] [-d] [-f] [-h|--header] [-i] [-j section ] [-l] [-m machine ] [-r|--reloc] [-s] [--stabs] [-t|--syms] [-x] objfiles ...

DESCRIPTION
objdump displays information about one or more object files. The options control what particular information to display. This information is mostly useful to programmers who are working on the compilation tools, as opposed to programmers who just want their program to compile and work.

OPTIONS
Where long and short forms of an option are shown together, they are equivalent.

objfiles...
    The object files to be examined. When you specify archives, objdump shows information on each of the member object files.

-a  If any files from objfiles are archives, display the archive header information (in a format similar to `ls -l '). Besides the information you could list with `ar tv ', `objdump -a ' shows the object file format of each archive member.

-b bfdname
    You can specify a particular object-code format for your object files as bfdname . This may not be necessary; objdump can automatically recognize many formats. For example,

    objdump -b oasys -m vax -h fu.o

    Displays summary information from the section headers (`-h ') of `fu.o ', which is explicitly identified (`-m ') as a Vax object file in the format produced by Oasys compilers. You can list the formats available with the `-i ' option.

-d  Disassemble. Display the assembler mnemonics for the machine instructions from objfiles .

-f  File header. Display summary information from the overall header of each file in objfiles .

-h

--header
    Header. Display summary information from the section headers of the object file.

-i  Display a list showing all architectures and object formats available for specification with -b or -m .

-j name
    Display information only for section name

-l  Label the display (using debugging information) with the source filename and line numbers corresponding to the object code shown.

-m machine
    Specify the object files objfiles are for architecture machine . You can list available architectures using the `-i ' option.

-r

--reloc
    Relocation. Print the relocation entries of the file.

-s  Display the full contents of any sections requested.

--stabs
    Display the contents of the .stab, .stab.index, and .stab.excl sections from an ELF file. This is only useful on systems (such as Solaris 2.0) in which .stab debugging symbol-table entries are carried in an ELF section. In most other file formats, debugging symbol-table entries are interleaved with linkage symbols, and are visible in the --syms output.

-t

--syms
    Symbol Table. Print the symbol table entries of the file. This is similar to the information provided by the `nm ' program.

-x  Display all available header information, including the symbol table and relocation entries. Using `-x ' is equivalent to specifying all of `-a -f -h -r -t '.

SEE ALSO
`binutils' entry in info; The GNU Binary Utilities, Roland H. Pesch (October 1991); nm(1).

COPYING
Copyright (c) 1991 Free Software Foundation, Inc.

Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

Permission is granted to copy and distribute modified versions of this manual under the conditions for verbatim copying, provided that the entire resulting derived work is distributed under the terms of a permission notice identical to this one.

Permission is granted to copy and distribute translations of this manual into another language, under the above conditions for modified versions, except that this permission notice may be included in translations approved by the Free Software Foundation instead of in the original English.